Skip to main content
POST
/
v1
/
agents
/
{passportId}
/
deploy
/
blue-green
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi({
  bearerAuth: process.env["RAIJINLABSLUCIDAI_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await raijinLabsLucidAi.agents.launch.lucidDeployBlueGreen({
    passportId: "<id>",
    body: {
      image: "https://picsum.photos/seed/x0OR83PrbJ/659/3733",
    },
  });

  console.log(result);
}

run();
{
  "success": true,
  "deployment_id": "<string>",
  "slot": "blue",
  "status": "<string>",
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passportId
string
required

Agent passport identifier

Body

application/json
image
string
required

Docker image reference for the blue deployment

target
string

Deploy target override (docker, railway, akash, phala, ionet, nosana)

env_vars
object

Environment variable overrides

health_gate_ms
integer

Health check wait time in milliseconds before promotion eligibility

Response

Blue deployment created

success
boolean
required
deployment_id
string
required
slot
enum<string>
required
Available options:
blue
status
string
url
string